Subject: Incrementality. How many times have you heard that word this month?
From: Julia Ricciardi <[email-masked]>
To: [email-masked]
Date: Fri, 5 Jul 2024 08:18:20 -0700

Hi Linda,

The ongoing “Butterfly Effect” question – did I do that? Would that have
happened anyway? That’s incrementality.

And for advertising teams – incrementality answers that question.
Incrementality is asking the question “if I didn’t run that ad, would I
have made the sale?” We often find brands are cannibalizing organic growth
by overinvesting on branded or underbidding on competitive keywords.

Check out this audit of a marketplace seller – huge waste in ad spend on
branded terms.

Want to connect your data for free to find where you’re over- and
underbidding? How about we start next week with a call at 10amET on Monday?
If that time doesn't work, feel free to propose time or schedule directly
here.

Best,
Julia

Julia Ricciardi
Senior Account Executive
 [email-masked]* *

 www.teikametrics.com/
<https://groove.grvlnk4.com/url/ZeTCZspRMwyQ7t6QhCV3FIcT56A/aHR0cDovL3d3dy50ZWlrYW1ldHJpY3MuY29tLz91dG1fc291cmNlPVdpc2VTdGFtcCZ1dG1fbWVkaXVtPWVtYWlsJnV0bV90ZXJtPSZ1dG1fY29udGVudD0mdXRtX2NhbXBhaWduPXNpZ25hdHVyZSNncm9vdmVzdW06LTE2ODIxODU1OTY=>*
*

 PO Box 120167* *
    Boston, MA 02112* *

<https://groove.grvlnk4.com/url/ZeTCZspRMwyQ7t6QhCV3FIcT56A/aHR0cHM6Ly90d2l0dGVyLmNvbS9UZWlrYW1ldHJpY3MjZ3Jvb3Zlc3VtOi03NTc0MjM3NTY=>
[image:
custom-icon]
<https://groove.grvlnk4.com/url/ZeTCZspRMwyQ7t6QhCV3FIcT56A/aHR0cHM6Ly93d3cuZmFjZWJvb2suY29tL1RlaWthbWV0cmljcy8jZ3Jvb3Zlc3VtOjEyMjgwNjU5Njk=>
[image:
linkedin]
<https://groove.grvlnk4.com/url/ZeTCZspRMwyQ7t6QhCV3FIcT56A/aHR0cHM6Ly93d3cubGlua2VkaW4uY29tL2luL2p1bGlhcmljY2lhcmRpLyNncm9vdmVzdW06LTE3MTIwMjI4NTk=>
<https://groove.grvlnk4.com/url/ZeTCZspRMwyQ7t6QhCV3FIcT56A/aHR0cHM6Ly90ZWlrYW1ldHJpY3MucmVnaXN0cmF0aW9uLmdvbGRjYXN0LmlvL3Nlcmllcy80MDA1MDY0OS0yNjkxLTRiYjctOTdjZC04ZGEyMzliZGFlZTIjUmVnaXN0cmF0aW9uP3V0bV9zb3VyY2U9V2lzZVN0YW1wJnV0bV9tZWRpdW09ZW1haWwmdXRtX3Rlcm09JnV0bV9jb250ZW50PSZ1dG1fY2FtcGFpZ249c2lnbmF0dXJlI2dyb292ZXN1bToxNzAwNjQ2NjI5>

Click here
<https://engine.groove.co/unsubscribe/ZeTCZspRMwyQ7t6QhCV3FIcT56A> to
unsubscribe